#ifndef _parser
#define _parser

#include  <iostream>
#include  <fstream>

using namespace std;

struct ParserRec {
    std::ifstream* fil;
    char c;
    int newline;
};


ParserRec InitParser(char *filename);
string ParseString(ParserRec *pr);
char ParseChar(ParserRec *pr);

#endif
